Bug 518189 - Review Request: java-augeas - Java bindings for Augeas
Summary: Review Request: java-augeas - Java bindings for Augeas
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 12:14 UTC by Bryan Kearney
Modified: 2009-08-31 08:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-31 08:06:52 UTC
dan: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Bryan Kearney 2009-08-19 12:14:09 UTC
Spec URL: http://bkearney.fedorapeople.org/java-augeas.spec
SRPM URL: http://bkearney.fedorapeople.org/java-augeas-0.0.1-1.fc11.src.rpm
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1614282
Description: Java Bindings for Augeas. The spec file will be correct if/when David lets me have some space on augeas.net to put the tarball :)

Comment 1 Dan Horák 2009-08-27 10:26:05 UTC
formal review is here, see the notes below:

OK	source files match upstream:
	    1f5de83f1d17e11b184f72c0e5dc8d4536cbac23  java-augeas-0.0.1.tar.gz
OK	package meets naming and versioning guidelines.
BAD	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible (LGPLv2+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
BAD	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.


- Prefix tag is not be used in Fedora (https://fedoraproject.org/wiki/Packaging/Guidelines#Relocatable_packages)
- the spec has subtle differences compared to the official ant-based template (https://fedoraproject.org/wiki/Packaging:Java#ant_2)
    - cp doesn't preserver attributes = "-p" is missing
    - the javadocs are installed into a versioned dir
- rpmlint complains a bit
java-augeas.src:4: W: hardcoded-prefix-tag augeas
    => remove the tag
java-augeas.src: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 1)
    => use only one of them
java-augeas-javadoc.noarch: W: non-standard-group Development/Documentation
    => it's OK

Comment 2 Bryan Kearney 2009-08-27 13:43:27 UTC
Thank you for the review. I have made the comments you suggested, and uploaded new files. You can see the new files at:

Spec URL: http://bkearney.fedorapeople.org/java-augeas.spec
SRPM URL: http://bkearney.fedorapeople.org/java-augeas-0.0.1-2.fc11.src.rpm

Thank you!

Comment 3 Dan Horák 2009-08-27 15:51:37 UTC
The "-p" argument is missing in the javadocs copy command, but there's no need for another iteration, just change that during the import into CVS.

This package is APPROVED with the notice above.

Comment 4 Bryan Kearney 2009-08-27 15:57:35 UTC
Dan: Thank You.

New Package CVS Request
=======================
Package Name: java-augeas
Short Description: Java Bindings for the Augeas library
Owners: bkearney
Branches: F-10 F-11
InitialCC:

Comment 5 Jason Tibbitts 2009-08-28 14:37:57 UTC
CVS done.

Comment 6 Dan Horák 2009-08-31 08:06:52 UTC
Closing as the package is imported and built.


Note You need to log in before you can comment on or make changes to this bug.